import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class AutoarchivejobService {

  baseUrl: string = environment.serviceUrl;

  constructor(private httpClient: HttpClient) { }

  
  Get_all(): Observable<any> {
    return this.httpClient.get<any>(this.baseUrl + 'api/AutoArchiveJobApi/Getall', {  observe: 'response' });
  }
  Edit_AutoArchiveJob(data:any[]):Observable<any>{
    return this.httpClient.post<any>(this.baseUrl + 'api/AutoArchiveJobApi/Edit_AutoArchiveJob', data,  { observe: 'response' });
  } 
  Active_AutoArchiveJob(data:any[]):Observable<any>{
    return this.httpClient.post<any>(this.baseUrl + 'api/AutoArchiveJobApi/Active_AutoArchiveJob', data,  { observe: 'response' });
  }

  Add_AutoArchiveJob(data:any[]):Observable<any>{
    return this.httpClient.post<any>(this.baseUrl + 'api/AutoArchiveJobApi/Add_AutoArchiveJob', data,  { observe: 'response' });
  }
}
